// Подключаем библиотеку Software Serial

// Подключаем библиотеку Software Serial

#include <SoftwareSerial.h>

// Объявляем задействованные дискретные каналы контроллера для связи

#define DHTPIN 8     // Digital pin connected to the DHT sensor
#define DHTTYPE DHT11   // DHT 11


#include "DHT.h"
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include <MQ135.h>

#define analogPin A7

MQ135 gasSensor = MQ135(analogPin);
DHT dht(DHTPIN, DHTTYPE);

LiquidCrystal_I2C lcd(0x27, 16, 2); // set the LCD address to 0x27 for a 16 chars and 2 line display (0x3f - адрес, если не работает)
SoftwareSerial softSerial(2, 3); // RX, TX>
void setup()

{
  Serial.begin(9600);
  Serial.println(F("DHT11 start"));
  dht.begin();
  lcd.init();                      // initialize the lcd
  lcd.backlight(); // включаем подсвтку
  pinMode(A0, INPUT); // фоторезистор
  pinMode(A1, INPUT); // датчик шума
  softSerial.begin(38400);
}


void loop()
{

 
  float h ;
  float t ;
  int ppm ;
  int l ;
  int n ;
  

 
  softSerial.available();
  h = softSerial.read();
  delay(500);
  t = softSerial.read();
  delay(500);
  l = softSerial.read();
  delay(500);
  n = softSerial.read();
  delay(500);
  ppm = softSerial.read();
  delay(500);
  Serial.print(F("Humidity: "));
  Serial.print(h);
  Serial.print(F("%  Temperature: "));
  Serial.print(t);
  Serial.print(F("C "));
  Serial.println("");
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("Temp:");
  lcd.setCursor(6, 0);
  lcd.print(t);
  lcd.setCursor(12, 0);
  lcd.print("C");
  lcd.setCursor(0, 1);
  lcd.print("Humidity:");
  lcd.setCursor(10, 1);
  lcd.print(h);
  delay(3000);
  Serial.print("light:  ");
  Serial.print(l);
  Serial.println("  lx");
  Serial.print("noise:  ");
  Serial.print(n);
  Serial.println("  dB");
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("Light:");
  lcd.setCursor(7, 0);
  lcd.print(l);
  lcd.setCursor(11, 0);
  lcd.print("lx");
  lcd.setCursor(0, 1);
  lcd.print("Noise:");
  lcd.setCursor(7, 1);
  lcd.print(n);
  lcd.setCursor(9, 1);
  lcd.print("dB");
  delay(3000);
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("Ppm: ");
  lcd.setCursor(5, 0);
  lcd.print(ppm);
  delay(3000);

}











